Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007948TestLinkDocumentation (Install, User Manual, help)public2017-05-26 05:292018-04-14 09:04
Reportershavantha 
Assigned Tofman 
PriorityhighSeverityblockReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0007948: Read Me does not seem to have relavent information related to LDAP configurations
DescriptionI upgraded from 1.9.15 to 1.9.16 and I followed the migration steps which was only related to db scripts. However, I was not able to login. In the custom_config.ini.php file I had the config as below[1]. However, I later Identified that through the issue id as "id=2842" that the configuration to connect to ldap has to be as [2] in order to login. The readme should be updated with these details as to how LDAP configurations should be given for 1.9.16

[1] migrated from 1.9.15
==========================
$tlCfg->authentication['method'] = 'LDAP';

$tlCfg->authentication['ldap_server'] = 'ldap.xyz.com';
$tlCfg->authentication['ldap_port'] = '389';
$tlCfg->authentication['ldap_version'] = '3';
$tlCfg->authentication['ldap_root_dn'] = 'dc=xyz,dc=com';
$tlCfg->authentication['ldap_bind_dn'] = 'uid=testlink,ou=staff,dc=xyz,dc=com';
$tlCfg->authentication['ldap_bind_passwd'] = 'XYZw2EYB3456&dc#)12344';
$tlCfg->authentication['ldap_tls'] = false; // true -> use tls
$tlCfg->authentication['ldap_uid_field'] = 'mail';


[2] specify the ldap as an array
================================
$tlCfg->authentication['ldap'][1]['ldap_server'] = 'ldap.xyz.com';
$tlCfg->authentication['ldap'][1]['ldap_port'] = '389';
$tlCfg->authentication['ldap'][1]['ldap_version'] = '3'; // could be '2' in some cases
$tlCfg->authentication['ldap'][1]['ldap_root_dn'] = 'dc=xyz,dc=com';
$tlCfg->authentication['ldap'][1]['ldap_bind_dn'] = 'uid=testlink,ou=staff,dc=xyz,dc=com'; // Left empty for anonymous LDAP binding
$tlCfg->authentication['ldap'][1]['ldap_bind_passwd'] = '12345567888; // Left empty for anonymous LDAP binding
$tlCfg->authentication['ldap'][1]['ldap_tls'] = false; // true -> use tls
Steps To Reproduce1.run the 1,.9.15 to 1.9.16 db scripts for migration

2.update the custom_config.ini.php as below on 1.9.16
$tlCfg->authentication['method'] = 'LDAP';

$tlCfg->authentication['ldap_server'] = 'ldap.xyz.com';
$tlCfg->authentication['ldap_port'] = '389';
$tlCfg->authentication['ldap_version'] = '3';
$tlCfg->authentication['ldap_root_dn'] = 'dc=xyz,dc=com';
$tlCfg->authentication['ldap_bind_dn'] = 'uid=testlink,ou=staff,dc=xyz,dc=com';
$tlCfg->authentication['ldap_bind_passwd'] = 'XYZw2EYB3456&dc#)12344';
$tlCfg->authentication['ldap_tls'] = false; // true -> use tls
$tlCfg->authentication['ldap_uid_field'] = 'mail';

3.start the apache2 and attempt to login
Additional InformationThe solution was identified via
http://mantis.testlink.org/view.php?id=2842 [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql.5.7
Browserfirefox
PHP Version5.5.9-1ubuntu4.19
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0026406)
fman (administrator)
2017-05-26 10:36

Thanks, I'm going to update info
(0027330)
fman (administrator)
2018-04-14 09:04

release 1.9.17

- Issue History
Date Modified Username Field Change
2017-05-26 05:29 shavantha New Issue
2017-05-26 10:36 fman Note Added: 0026406
2017-05-27 17:31 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-05-27 17:31 fman Status new => resolved
2017-05-27 17:31 fman Fixed in Version => 1.9.17 (2018 Q1)
2017-05-27 17:31 fman Resolution open => fixed
2017-05-27 17:31 fman Assigned To => fman
2018-04-14 09:04 fman Note Added: 0027330
2018-04-14 09:04 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker